package com.unis.base.server.service.impl;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.*;
import com.unis.base.server.domain.TalentGroupDomain;
import com.unis.base.server.service.TalentGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TalentGroupServiceImpl implements TalentGroupService {
    @Autowired
    private TalentGroupDomain talentGroupDomain;

    @Override
    public void addOrganization(GroupVO groupVO) {
        talentGroupDomain.addOrganization(groupVO);
    }

    @Override
    public PageInfo<GroupPersonSVO> seeOrganization(String groupId, Integer pageNum, Integer pageSize) {
        return talentGroupDomain.seeOrganization(groupId, pageNum, pageSize);
    }

    @Override
    public PersonnelMxVO seePersonOrganization(String rybh) {
        return talentGroupDomain.seePersonOrganization(rybh);
    }

    @Override
    public void insertInfo(GroupMainVo viewObj) {
        talentGroupDomain.insertInfo(viewObj);
    }

    @Override
    public void deleteInfo(String groupId) {
        talentGroupDomain.deleteInfo(groupId);
    }

    @Override
    public PageInfo<GroupVO> organization(String groupName, Integer pageNum, Integer pageSize) {
        return talentGroupDomain.organization(groupName, pageNum, pageSize);
    }

    @Override
    public void deletePersonInfo(String userId, String groupId) {
        talentGroupDomain.deletePersonInfo(userId, groupId);
    }

    @Override
    public PersonnelMxVO catchPersonnelHDetails(String rybh) {
        return talentGroupDomain.catchPersonnelHDetails(rybh);
    }

    @Override
    public List<GroupPersonVO> seeAndPersonOrganization(GroupMainVo viewObj) {
        return talentGroupDomain.seeAndPersonOrganization(viewObj);

    }

    @Override
    public List<GetPagePersonnelVO> pageSDetails() {
        return talentGroupDomain.pageSDetails();
    }

    @Override
    public PageInfo<PersonnelMxVO> getPpersonDetails(UserQueryVo userQueryVo) {
        return talentGroupDomain.getPpersonDetails(userQueryVo);
    }

    @Override
    public List<GroupPersonSVO> personexport(String groupId) {
        return talentGroupDomain.personexport(groupId);
    }
}
